Bug 1010951 - Camel binding is broken for SSL
Camel binding is broken for SSL
Status: CLOSED CURRENTRELEASE
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: SwitchYard (Show other bugs)
6.0.0 GA
Unspecified Unspecified
unspecified Severity medium
: ER7
: 6.0.0
Assigned To: Douglas Palmer
Jiri Pechanec
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-23 07:16 EDT by Jiri Pechanec
Modified: 2014-06-16 19:50 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SWITCHYARD-1824 Major Closed Integrate with JBoss Integration BOM 2015-05-21 07:54:45 EDT

  None (edit)
Description Jiri Pechanec 2013-09-23 07:16:24 EDT
When running camel quickstart either as maven test or standalone SY application there is a security exception thrown

13:13:43,066 ERROR [org.apache.camel.processor.DefaultErrorHandler] (Camel (camel-1) thread #26 - NettyOrderedWorker) Failed delivery for (MessageId: ID-jpechane-58527-1379934726501-0-1 on ExchangeId: ID-jpechane-58527-1379934726501-0-2). Exhausted after delivery attempt: 1 caught: java.lang.RuntimeException: SWITCHYARD014404: Unable to extract Credentials from SSLSession: peer not authenticated: java.lang.RuntimeException: SWITCHYARD014404: Unable to extract Credentials from SSLSession: peer not authenticated                           

































        at org.apache.camel.processor.RouteContextProcessor.processNext(RouteContextProcessor.java:46) [camel-core-2.10.0.redhat-60024.jar:2.10.0.redhat-60024]
        at org.apache.camel.processor.DelegateAsyncProcessor.process(DelegateAsyncProcessor.java:90) [camel-core-2.10.0.redhat-60024.jar:2.10.0.redhat-60024]
        at org.apache.camel.processor.UnitOfWorkProcessor.processAsync(UnitOfWorkProcessor.java:150) [camel-core-2.10.0.redhat-60024.jar:2.10.0.redhat-60024]
        at org.apache.camel.processor.UnitOfWorkProcessor.process(UnitOfWorkProcessor.java:117) [camel-core-2.10.0.redhat-60024.jar:2.10.0.redhat-60024]
        at org.apache.camel.processor.RouteInflightRepositoryProcessor.processNext(RouteInflightRepositoryProcessor.java:48) [camel-core-2.10.0.redhat-60024.jar:2.10.0.redhat-60024]
        at org.apache.camel.processor.DelegateAsyncProcessor.process(DelegateAsyncProcessor.java:90) [camel-core-2.10.0.redhat-60024.jar:2.10.0.redhat-60024]
        at org.apache.camel.util.AsyncProcessorHelper.process(AsyncProcessorHelper.java:73) [camel-core-2.10.0.redhat-60024.jar:2.10.0.redhat-60024]
        at org.apache.camel.processor.DelegateAsyncProcessor.processNext(DelegateAsyncProcessor.java:99) [camel-core-2.10.0.redhat-60024.jar:2.10.0.redhat-60024]
        at org.apache.camel.processor.DelegateAsyncProcessor.process(DelegateAsyncProcessor.java:90) [camel-core-2.10.0.redhat-60024.jar:2.10.0.redhat-60024]
        at org.apache.camel.management.InstrumentationProcessor.process(InstrumentationProcessor.java:73) [camel-core-2.10.0.redhat-60024.jar:2.10.0.redhat-60024]
        at org.apache.camel.component.netty.handlers.ServerChannelHandler.processAsynchronously(ServerChannelHandler.java:118) [camel-netty-2.10.0.redhat-60024.jar:2.10.0.redhat-60024]
        at org.apache.camel.component.netty.handlers.ServerChannelHandler.messageReceived(ServerChannelHandler.java:102) [camel-netty-2.10.0.redhat-60024.jar:2.10.0.redhat-60024]
        at org.jboss.netty.channel.SimpleChannelUpstreamHandler.handleUpstream(SimpleChannelUpstreamHandler.java:70)
        at org.jboss.netty.channel.DefaultChannelPipeline.sendUpstream(DefaultChannelPipeline.java:560)
        at org.jboss.netty.channel.DefaultChannelPipeline$DefaultChannelHandlerContext.sendUpstream(DefaultChannelPipeline.java:787)
        at org.jboss.netty.handler.execution.ChannelUpstreamEventRunnable.doRun(ChannelUpstreamEventRunnable.java:43)
        at org.jboss.netty.handler.execution.ChannelEventRunnable.run(ChannelEventRunnable.java:67)
        at org.jboss.netty.handler.execution.OrderedMemoryAwareThreadPoolExecutor$ChildExecutor.run(OrderedMemoryAwareThreadPoolExecutor.java:314)
        at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1145) [rt.jar:1.7.0_25]
        at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:615) [rt.jar:1.7.0_25]
        at java.lang.Thread.run(Thread.java:724) [rt.jar:1.7.0_25]
Caused by: javax.net.ssl.SSLPeerUnverifiedException: peer not authenticated
        at sun.security.ssl.SSLSessionImpl.getPeerPrincipal(SSLSessionImpl.java:517) [jsse.jar:1.7.0_25]
        at org.switchyard.security.credential.extractor.SSLSessionCredentialExtractor.extract(SSLSessionCredentialExtractor.java:46) [switchyard-security-1.1.0.M3-redhat-1.jar:1.1.0.M3-redhat-1]
        ... 53 more
Comment 1 Jiri Pechanec 2013-09-23 07:17:32 EDT
This worked in ER2 and does not work in ER3 any longer. There was no change in the sample itself.
Comment 2 Keith Babo 2013-09-23 07:47:49 EDT
There are no Camel quickstarts which use https, AFAIK.  If this is a modified version of an existing quickstart, we need the app or instructions on how to reproduce.
Comment 3 Jiri Pechanec 2013-09-23 07:53:46 EDT
The QS in question camel-netty-binding - sorry for confusion
Comment 4 Keith Babo 2013-11-05 08:56:39 EST
I see this in ER6.  I have seen a similar error with Camel 2.10.3, but FSW Beta appears to have 2.10.0, so not sure what's going on. In any case, bumping to 2.10.3 and dealing with the change necessary to Camel Netty should take care of this issue.

Doug - we can tackle this together after 1.1 wraps.
Comment 5 Douglas Palmer 2013-11-11 10:36:03 EST
This works with the community CR1; can we check it out in the next product build?
Comment 6 Douglas Palmer 2013-11-11 11:45:56 EST
Actually, a new build won't help. The problem is caused by a commit that is in 2.10.3 and 2.10.0-redhat-60024 but isn't in 2.10.0.
Comment 7 Keith Babo 2013-11-11 18:10:56 EST
My changes to use the IP BOM include the fix for this issue, which was required to move to Camel 2.10.3.
Comment 8 Douglas Palmer 2013-11-12 06:42:02 EST
I have just trawled through the git logs from Apache Camel and Fuse Camel. Fuse Camel 2.10.0-redhat-60024 is half way between Apache 2.10.4 and apache 2.10.5.
Comment 9 amit 2013-12-13 04:11:08 EST
4 INFO  [org.apache.camel.component.netty.NettyConsumer] Netty consumer bound to: localhost:3940
14:19:23,034 INFO  [org.switchyard.common.camel.SwitchYardCamelContext] Route: V1CamelNettyUdpBindingModel/DefaultGreetingService@_DefaultGreetingService_udp_1#1833197758 started and consuming from: Endpoint[udp://localhost:3940]
14:19:24,900 ERROR [org.apache.camel.processor.DefaultErrorHandler] Failed delivery for (MessageId: ID-localhost-localdomain-38580-1386924553988-0-1 on ExchangeId: ID-localhost-localdomain-38580-1386924553988-0-2). Exhausted after delivery attempt: 1 caught: java.lang.RuntimeException: SWITCHYARD014404: Unable to extract Credentials from SSLSession: peer not authenticated
java.lang.RuntimeException: SWITCHYARD014404: Unable to extract Credentials from SSLSession: peer not authenticated
	at org.switchyard.security.credential.extractor.SSLSessionCredentialExtractor.extract(SSLSessionCredentialExtractor.java:49)
	at org.switchyard.component.camel.netty.ssl.NettyBindingData.extractCredentials(NettyBindingData.java:50)
	at org.switchyard.component.camel.SwitchYardProducer.composeForGateway(SwitchYardProducer.java:122)
	at org.switchyard.component.camel.SwitchYardProducer.process(SwitchYardProducer.java:106)
	at org.apache.camel.util.AsyncProcessorConverterHelper$ProcessorToAsyncProcessorBridge.process(AsyncProcessorConverterHelper.java:61)
	at org.apache.camel.util.AsyncProcessorHelper.process(AsyncProcessorHelper.java:73)
	at org.apache.camel.processor.SendProcessor$2.doInAsyncProducer(SendProcessor.java:122)
	at org.apache.camel.impl.ProducerCache.doInAsyncProducer(ProducerCache.java:298)
	at org.apache.camel.processor.SendProcessor.process(SendProcessor.java:117)
	at org.apache.camel.util.AsyncProcessorHelper.process(AsyncProcessorHelper.java:73)
	at org.apache.camel.processor.DelegateAsyncProcessor.processNext(DelegateAsyncProcessor.java:99)
	at org.apache.camel.processor.DelegateAsyncProcessor.process(DelegateAsyncProcessor.java:90)
	at org.apache.camel.management.InstrumentationProcessor.process(InstrumentationProcessor.java:73)
	at org.apache.camel.util.AsyncProcessorHelper.process(AsyncProcessorHelper.java:73)
	at org.apache.camel.processor.DelegateAsyncProcessor.processNext(DelegateAsyncProcessor.java:99)
	at org.apache.camel.processor.DelegateAsyncProcessor.process(DelegateAsyncProcessor.java:90)
	at org.apache.camel.processor.interceptor.TraceInterceptor.process(TraceInterceptor.java:91)
	at org.apache.camel.util.AsyncProcessorHelper.process(AsyncProcessorHelper.java:73)
	at org.apache.camel.processor.DelegateAsyncProcessor.processNext(DelegateAsyncProcessor.java:99)
	at org.apache.camel.processor.DelegateAsyncProcessor.process(DelegateAsyncProcessor.java:90)
	at org.apache.camel.fabric.FabricTraceProcessor.process(FabricTraceProcessor.java:81)
	at org.apache.camel.util.AsyncProcessorHelper.process(AsyncProcessorHelper.java:73)
	at org.apache.camel.processor.DelegateAsyncProcessor.processNext(DelegateAsyncProcessor.java:99)
	at org.apache.camel.processor.DelegateAsyncProcessor.process(DelegateAsyncProcessor.java:90)
	at org.apache.camel.util.AsyncProcessorHelper.process(AsyncProcessorHelper.java:73)
	at org.apache.camel.processor.RedeliveryErrorHandler.processErrorHandler(RedeliveryErrorHandler.java:334)
	at org.apache.camel.processor.RedeliveryErrorHandler.process(RedeliveryErrorHandler.java:220)
	at org.apache.camel.processor.RouteContextProcessor.processNext(RouteContextProcessor.java:46)
	at org.apache.camel.processor.DelegateAsyncProcessor.process(DelegateAsyncProcessor.java:90)
	at org.apache.camel.processor.interceptor.DefaultChannel.process(DefaultChannel.java:308)
	at org.apache.camel.util.AsyncProcessorHelper.process(AsyncProcessorHelper.java:73)
	at org.apache.camel.processor.Pipeline.process(Pipeline.java:117)
	at org.apache.camel.processor.Pipeline.process(Pipeline.java:80)
	at org.apache.camel.processor.RouteContextProcessor.processNext(RouteContextProcessor.java:46)
	at org.apache.camel.processor.DelegateAsyncProcessor.process(DelegateAsyncProcessor.java:90)
	at org.apache.camel.processor.UnitOfWorkProcessor.processAsync(UnitOfWorkProcessor.java:150)
	at org.apache.camel.processor.UnitOfWorkProcessor.process(UnitOfWorkProcessor.java:117)
	at org.apache.camel.processor.RouteInflightRepositoryProcessor.processNext(RouteInflightRepositoryProcessor.java:48)
	at org.apache.camel.processor.DelegateAsyncProcessor.process(DelegateAsyncProcessor.java:90)
	at org.apache.camel.util.AsyncProcessorHelper.process(AsyncProcessorHelper.java:73)
	at org.apache.camel.processor.DelegateAsyncProcessor.processNext(DelegateAsyncProcessor.java:99)
	at org.apache.camel.processor.DelegateAsyncProcessor.process(DelegateAsyncProcessor.java:90)
	at org.apache.camel.management.InstrumentationProcessor.process(InstrumentationProcessor.java:73)
	at org.apache.camel.component.netty.handlers.ServerChannelHandler.processAsynchronously(ServerChannelHandler.java:118)
	at org.apache.camel.component.netty.handlers.ServerChannelHandler.messageReceived(ServerChannelHandler.java:102)
	at org.jboss.netty.channel.SimpleChannelUpstreamHandler.handleUpstream(SimpleChannelUpstreamHandler.java:70)
	at org.jboss.netty.channel.DefaultChannelPipeline.sendUpstream(DefaultChannelPipeline.java:560)
	at org.jboss.netty.channel.DefaultChannelPipeline$DefaultChannelHandlerContext.sendUpstream(DefaultChannelPipeline.java:787)
	at org.jboss.netty.handler.execution.ChannelUpstreamEventRunnable.doRun(ChannelUpstreamEventRunnable.java:43)
	at org.jboss.netty.handler.execution.ChannelEventRunnable.run(ChannelEventRunnable.java:67)
	at org.jboss.netty.handler.execution.OrderedMemoryAwareThreadPoolExecutor$ChildExecutor.run(OrderedMemoryAwareThreadPoolExecutor.java:314)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1110)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:603)
	at java.lang.Thread.run(Thread.java:722)
Caused by: javax.net.ssl.SSLPeerUnverifiedException: peer not authenticated
	at sun.security.ssl.SSLSessionImpl.getPeerPrincipal(SSLSessionImpl.java:517)
	at org.switchyard.security.credential.extractor.SSLSessionCredentialExtractor.extract(SSLSessionCredentialExtractor.java:46)
	... 53 more
14:19:24,944 WARN  [org.apache.camel.component.netty.NettyConsumer] Closing channel as an exception was thrown from Netty
java.nio.channels.ClosedChannelException
	at org.jboss.netty.channel.socket.nio.AbstractNioWorker.cleanUpWriteBuffer(AbstractNioWorker.java:409)
	at org.jboss.netty.channel.socket.nio.AbstractNioWorker.writeFromUserCode(AbstractNioWorker.java:127)
	at org.jboss.netty.channel.socket.nio.NioServerSocketPipelineSink.handleAcceptedSocket(NioServerSocketPipelineSink.java:99)
	at org.jboss.netty.channel.socket.nio.NioServerSocketPipelineSink.eventSunk(NioServerSocketPipelineSink.java:36)
	at org.jboss.netty.handler.ssl.SslHandler.handleDownstream(SslHandler.java:602)
	at org.jboss.netty.handler.execution.ExecutionHandler.handleDownstream(ExecutionHandler.java:186)
	at org.jboss.netty.channel.Channels.write(Channels.java:704)
	at org.jboss.netty.channel.Channels.write(Channels.java:671)
	at org.jboss.netty.channel.AbstractChannel.write(AbstractChannel.java:248)
	at org.apache.camel.component.netty.NettyHelper.writeBodyAsync(NettyHelper.java:97)
	at org.apache.camel.component.netty.handlers.ServerChannelHandler.sendResponse(ServerChannelHandler.java:170)
	at org.apache.camel.component.netty.handlers.ServerChannelHandler.access$100(ServerChannelHandler.java:41)
	at org.apache.camel.component.netty.handlers.ServerChannelHandler$1.done(ServerChannelHandler.java:124)
	at org.apache.camel.management.InstrumentationProcessor$1.done(InstrumentationProcessor.java:82)
	at org.apache.camel.processor.RouteInflightRepositoryProcessor$1.done(RouteInflightRepositoryProcessor.java:53)
	at org.apache.camel.processor.UnitOfWorkProcessor$1.done(UnitOfWorkProcessor.java:155)
	at org.apache.camel.processor.RouteContextProcessor$1.done(RouteContextProcessor.java:56)
	at org.apache.camel.processor.Pipeline.process(Pipeline.java:106)
	at org.apache.camel.processor.RouteContextProcessor.processNext(RouteContextProcessor.java:46)
	at org.apache.camel.processor.DelegateAsyncProcessor.process(DelegateAsyncProcessor.java:90)
	at org.apache.camel.processor.UnitOfWorkProcessor.processAsync(UnitOfWorkProcessor.java:150)
	at org.apache.camel.processor.UnitOfWorkProcessor.process(UnitOfWorkProcessor.java:117)
	at org.apache.camel.processor.RouteInflightRepositoryProcessor.processNext(RouteInflightRepositoryProcessor.java:48)
	at org.apache.camel.processor.DelegateAsyncProcessor.process(DelegateAsyncProcessor.java:90)
	at org.apache.camel.util.AsyncProcessorHelper.process(AsyncProcessorHelper.java:73)
	at org.apache.camel.processor.DelegateAsyncProcessor.processNext(DelegateAsyncProcessor.java:99)
	at org.apache.camel.processor.DelegateAsyncProcessor.process(DelegateAsyncProcessor.java:90)
	at org.apache.camel.management.InstrumentationProcessor.process(InstrumentationProcessor.java:73)
	at org.apache.camel.component.netty.handlers.ServerChannelHandler.processAsynchronously(ServerChannelHandler.java:118)
	at org.apache.camel.component.netty.handlers.ServerChannelHandler.messageReceived(ServerChannelHandler.java:102)
	at org.jboss.netty.handler.execution.ChannelUpstreamEventRunnable.doRun(ChannelUpstreamEventRunnable.java:43)
	at org.jboss.netty.handler.execution.ChannelEventRunnable.run(ChannelEventRunnable.java:67)
	at org.jboss.netty.handler.execution.OrderedMemoryAwareThreadPoolExecutor$ChildExecutor.run(OrderedMemoryAwareThreadPoolExecutor.java:314)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1110)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:603)
	at java.lang.Thread.run(Thread.java:722)
14:19:24,952 WARN  [org.apache.camel.component.netty.NettyConsumer] Caused by: [org.apache.camel.CamelExchangeException - Cannot write response to /127.0.0.1:39740. Exchange[Message: Keith]. Caused by: [java.nio.channels.ClosedChannelException - null]]
org.apache.camel.CamelExchangeException: Cannot write response to /127.0.0.1:39740. Exchange[Message: Keith]. Caused by: [java.nio.channels.ClosedChannelException - null]
	at org.apache.camel.component.netty.handlers.ServerResponseFutureListener.operationComplete(ServerResponseFutureListener.java:53)
	at org.jboss.netty.channel.DefaultChannelFuture.notifyListener(DefaultChannelFuture.java:427)
	at org.jboss.netty.channel.DefaultChannelFuture.addListener(DefaultChannelFuture.java:145)
	at org.apache.camel.component.netty.NettyHelper.writeBodyAsync(NettyHelper.java:101)
	at org.apache.camel.component.netty.handlers.ServerChannelHandler.sendResponse(ServerChannelHandler.java:170)
	at org.apache.camel.component.netty.handlers.ServerChannelHandler.access$100(ServerChannelHandler.java:41)
	at org.apache.camel.component.netty.handlers.ServerChannelHandler$1.done(ServerChannelHandler.java:124)
	at org.apache.camel.management.InstrumentationProcessor$1.done(InstrumentationProcessor.java:82)
	at org.apache.camel.processor.RouteInflightRepositoryProcessor$1.done(RouteInflightRepositoryProcessor.java:53)
	at org.apache.camel.processor.UnitOfWorkProcessor$1.done(UnitOfWorkProcessor.java:155)
	at org.apache.camel.processor.RouteContextProcessor$1.done(RouteContextProcessor.java:56)
	at org.apache.camel.processor.Pipeline.process(Pipeline.java:106)
	at org.apache.camel.processor.RouteContextProcessor.processNext(RouteContextProcessor.java:46)
	at org.apache.camel.processor.DelegateAsyncProcessor.process(DelegateAsyncProcessor.java:90)
	at org.apache.camel.processor.UnitOfWorkProcessor.processAsync(UnitOfWorkProcessor.java:150)
	at org.apache.camel.processor.UnitOfWorkProcessor.process(UnitOfWorkProcessor.java:117)
	at org.apache.camel.processor.RouteInflightRepositoryProcessor.processNext(RouteInflightRepositoryProcessor.java:48)
	at org.apache.camel.processor.DelegateAsyncProcessor.process(DelegateAsyncProcessor.java:90)
	at org.apache.camel.util.AsyncProcessorHelper.process(AsyncProcessorHelper.java:73)
	at org.apache.camel.processor.DelegateAsyncProcessor.processNext(DelegateAsyncProcessor.java:99)
	at org.apache.camel.processor.DelegateAsyncProcessor.process(DelegateAsyncProcessor.java:90)
	at org.apache.camel.management.InstrumentationProcessor.process(InstrumentationProcessor.java:73)
	at org.apache.camel.component.netty.handlers.ServerChannelHandler.processAsynchronously(ServerChannelHandler.java:118)
	at org.apache.camel.component.netty.handlers.ServerChannelHandler.messageReceived(ServerChannelHandler.java:102)
	at org.jboss.netty.channel.SimpleChannelUpstreamHandler.handleUpstream(SimpleChannelUpstreamHandler.java:70)
	at org.jboss.netty.channel.DefaultChannelPipeline.sendUpstream(DefaultChannelPipeline.java:560)
	at org.jboss.netty.channel.DefaultChannelPipeline$DefaultChannelHandlerContext.sendUpstream(DefaultChannelPipeline.java:787)
	at org.jboss.netty.handler.execution.ChannelUpstreamEventRunnable.doRun(ChannelUpstreamEventRunnable.java:43)
	at org.jboss.netty.handler.execution.ChannelEventRunnable.run(ChannelEventRunnable.java:67)
	at org.jboss.netty.handler.execution.OrderedMemoryAwareThreadPoolExecutor$ChildExecutor.run(OrderedMemoryAwareThreadPoolExecutor.java:314)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1110)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:603)
	at java.lang.Thread.run(Thread.java:722)
Caused by: java.nio.channels.ClosedChannelException
	at org.jboss.netty.channel.socket.nio.AbstractNioWorker.cleanUpWriteBuffer(AbstractNioWorker.java:409)
	at org.jboss.netty.channel.socket.nio.AbstractNioWorker.writeFromUserCode(AbstractNioWorker.java:127)
	at org.jboss.netty.channel.socket.nio.NioServerSocketPipelineSink.handleAcceptedSocket(NioServerSocketPipelineSink.java:99)
	at org.jboss.netty.channel.socket.nio.NioServerSocketPipelineSink.eventSunk(NioServerSocketPipelineSink.java:36)
	at org.jboss.netty.handler.ssl.SslHandler.handleDownstream(SslHandler.java:602)
	at org.jboss.netty.handler.execution.ExecutionHandler.handleDownstream(ExecutionHandler.java:186)
	at org.jboss.netty.channel.Channels.write(Channels.java:704)
	at org.jboss.netty.channel.Channels.write(Channels.java:671)
	at org.jboss.netty.channel.AbstractChannel.write(AbstractChannel.java:248)
	at org.apache.camel.component.netty.NettyHelper.writeBodyAsync(NettyHelper.java:97)
	at org.apache.camel.component.netty.handlers.ServerChannelHandler.sendResponse(ServerChannelHandler.java:170)
	at org.apache.camel.component.netty.handlers.ServerChannelHandler.access$100(ServerChannelHandler.java:41)
	at org.apache.camel.component.netty.handlers.ServerChannelHandler$1.done(ServerChannelHandler.java:124)
	at org.apache.camel.management.InstrumentationProcessor$1.done(InstrumentationProcessor.java:82)
	at org.apache.camel.processor.RouteInflightRepositoryProcessor$1.done(RouteInflightRepositoryProcessor.java:53)
	at org.apache.camel.processor.UnitOfWorkProcessor$1.done(UnitOfWorkProcessor.java:155)
	at org.apache.camel.processor.RouteContextProcessor$1.done(RouteContextProcessor.java:56)
	at org.apache.camel.processor.Pipeline.process(Pipeline.java:106)
	at org.apache.camel.processor.RouteContextProcessor.processNext(RouteContextProcessor.java:46)
	at org.apache.camel.processor.DelegateAsyncProcessor.process(DelegateAsyncProcessor.java:90)
	at org.apache.camel.processor.UnitOfWorkProcessor.processAsync(UnitOfWorkProcessor.java:150)
	at org.apache.camel.processor.UnitOfWorkProcessor.process(UnitOfWorkProcessor.java:117)
	at org.apache.camel.processor.RouteInflightRepositoryProcessor.processNext(RouteInflightRepositoryProcessor.java:48)
	at org.apache.camel.processor.DelegateAsyncProcessor.process(DelegateAsyncProcessor.java:90)
	at org.apache.camel.util.AsyncProcessorHelper.process(AsyncProcessorHelper.java:73)
	at org.apache.camel.processor.DelegateAsyncProcessor.processNext(DelegateAsyncProcessor.java:99)
	at org.apache.camel.processor.DelegateAsyncProcessor.process(DelegateAsyncProcessor.java:90)
	at org.apache.camel.management.InstrumentationProcessor.process(InstrumentationProcessor.java:73)
	at org.apache.camel.component.netty.handlers.ServerChannelHandler.processAsynchronously(ServerChannelHandler.java:118)
	at org.apache.camel.component.netty.handlers.ServerChannelHandler.messageReceived(ServerChannelHandler.java:102)
	... 6 more
14:19:29,839 INFO  [org.apache.camel.impl.DefaultShutdownStrategy] Starting to graceful shutdown 1 routes (timeout 30 seconds)
14:19:29,999 INFO  [org.apache.camel.component.netty.NettyConsumer] Netty consumer unbound from: localhost:3939
14:19:30,001 INFO  [org.apache.camel.impl.DefaultShutdownStrategy] Route: V1CamelNettyTcpBindingModel/SecuredGreetingService@_SecuredGreetingService_tcp_1#-1553699882 shutdown complete, was consuming from: Endpoint[tcp://localhost:3939]
14:19:30,002 INFO  [org.apache.camel.impl.DefaultShutdownStrategy] Graceful shutdown of 1 routes completed in 0 seconds
14:19:30,007 INFO  [org.switchyard.common.camel.SwitchYardCamelContext] Route: V1CamelNettyTcpBindingModel/SecuredGreetingService@_SecuredGreetingService_tcp_1#-1553699882 is stopped, was consuming from: Endpoint[tcp://localhost:3939]
14:19:30,022 INFO  [org.switchyard.common.camel.SwitchYardCamelContext] Route: V1CamelNettyTcpBindingModel/SecuredGreetingService@_SecuredGreetingService_tcp_1#-1553699882 is shutdown and removed, was consuming from: Endpoint[tcp://localhost:3939]
14:19:30,024 INFO  [org.apache.camel.impl.DefaultShutdownStrategy] Starting to graceful shutdown 1 routes (timeout 30 seconds)
14:19:30,038 INFO  [org.apache.camel.component.netty.NettyConsumer] Netty consumer unbound from: localhost:3940
14:19:30,039 INFO  [org.apache.camel.impl.DefaultShutdownStrategy] Route: V1CamelNettyUdpBindingModel/DefaultGreetingService@_DefaultGreetingService_udp_1#1833197758 shutdown complete, was consuming from: Endpoint[udp://localhost:3940]
14:19:30,043 INFO  [org.apache.camel.impl.DefaultShutdownStrategy] Graceful shutdown of 1 routes completed in 0 seconds
14:19:30,051 INFO  [org.switchyard.common.camel.SwitchYardCamelContext] Route: V1CamelNettyUdpBindingModel/DefaultGreetingService@_DefaultGreetingService_udp_1#1833197758 is stopped, was consuming from: Endpoint[udp://localhost:3940]
14:19:30,063 INFO  [org.switchyard.common.camel.SwitchYardCamelContext] Route: V1CamelNettyUdpBindingModel/DefaultGreetingService@_DefaultGreetingService_udp_1#1833197758 is shutdown and removed, was consuming from: Endpoint[udp://localhost:3940]
14:19:30,091 INFO  [org.switchyard.common.camel.SwitchYardCamelContext] Apache Camel 2.10.0.redhat-60024 (CamelContext: camel-1) is shutting down
14:19:30,124 INFO  [org.apache.camel.impl.DefaultShutdownStrategy] Starting to graceful shutdown 2 routes (timeout 30 seconds)
14:19:30,130 INFO  [org.apache.camel.impl.DefaultShutdownStrategy] Route: direct:{urn:switchyard-quickstart:camel-netty-binding:0.1.0}DefaultGreetingService shutdown complete, was consuming from: Endpoint[direct://%7Burn:switchyard-quickstart:camel-netty-binding:0.1.0%7DDefaultGreetingService]
14:19:30,134 INFO  [org.apache.camel.impl.DefaultShutdownStrategy] Route: direct:{urn:switchyard-quickstart:camel-netty-binding:0.1.0}SecuredGreetingService shutdown complete, was consuming from: Endpoint[direct://%7Burn:switchyard-quickstart:camel-netty-binding:0.1.0%7DSecuredGreetingService]
14:19:30,139 INFO  [org.apache.camel.impl.DefaultShutdownStrategy] Graceful shutdown of 2 routes completed in 0 seconds
14:19:30,721 INFO  [org.apache.camel.impl.converter.DefaultTypeConverter] TypeConverterRegistry utilization[attempts=17, hits=17, misses=0, failures=0] mappings[total=194, misses=0]
14:19:30,781 INFO  [org.switchyard.common.camel.SwitchYardCamelContext] Apache Camel 2.10.0.redhat-60024 (CamelContext: camel-1) is shutdown in 0.691 seconds. Uptime 16.185 seconds.
14:19:37,896 INFO  [org.apache.camel.management.ManagementStrategyFactory] JMX enabled.
14:19:37,967 DEBUG [org.switchyard.bus.camel.CamelExchangeBus] Initialization of CamelExchangeBus for domain org.switchyard.domains.root
14:19:38,002 INFO  [org.switchyard.common.camel.SwitchYardCamelContext] Apache Camel 2.10.0.redhat-60024 (CamelContext: camel-2) is starting
14:19:40,170 INFO  [org.apache.camel.impl.converter.DefaultTypeConverter] Loaded 192 type converters
14:19:40,212 INFO  [org.apache.camel.management.DefaultManagementLifecycleStrategy] StatisticsLevel at All so enabling load performance statistics
14:19:40,226 INFO  [org.switchyard.common.camel.SwitchYardCamelContext] Total 0 routes, of which 0 is started.
14:19:40,227 INFO  [org.switchyard.common.camel.SwitchYardCamelContext] Apache Camel 2.10.0.redhat-60024 (CamelContext: camel-2) started in 2.225 seconds
14:19:40,488 DEBUG [org.switchyard.bus.camel.CamelExchangeBus] Creating Camel dispatcher for {urn:switchyard-quickstart:camel-netty-binding:0.1.0}SecuredGreetingService

14:19:48,116 INFO  [org.switchyard.common.camel.SwitchYardCamelContext] Route: direct:{urn:switchyard-quickstart:camel-netty-binding:0.1.0}SecuredGreetingService started and consuming from: Endpoint[direct://%7Burn:switchyard-quickstart:camel-netty-binding:0.1.0%7DSecuredGreetingService]
14:19:52,035 DEBUG [org.switchyard.bus.camel.CamelExchangeBus] Created route for direct:{urn:switchyard-quickstart:camel-netty-binding:0.1.0}SecuredGreetingService, definition is: <?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<routes xmlns="http://camel.apache.org/schema/spring">
    <route group="org.switchyard.bus.camel.CamelExchangeBusRouteBuilder" id="direct:{urn:switchyard-quickstart:camel-netty-binding:0.1.0}SecuredGreetingService">
        <from uri="direct:{urn:switchyard-quickstart:camel-netty-binding:0.1.0}SecuredGreetingService"/>
        <doTry id="doTry3">
            <filter id="filter7">
                <expressionDefinition/>
                <throttle id="throttle3">
                    <header>org.switchyard.qos.throttling.maxRequests</header>
                    <removeHeader headerName="org.switchyard.qos.throttling.maxRequests" id="removeHeader3"/>
                </throttle>
            </filter>
Comment 10 Keith Babo 2013-12-13 07:31:45 EST
Why is this marked as needinfo?  Only comment is a stack trace.
Comment 11 Jiri Pechanec 2013-12-16 05:04:46 EST
Verified in ER7
Comment 12 JBoss JIRA Server 2014-06-16 19:50:35 EDT
Keith Babo <kbabo@redhat.com> updated the status of jira SWITCHYARD-1824 to Closed

Note You need to log in before you can comment on or make changes to this bug.